@import url("https://fonts.googleapis.com/css2?family=Montserrat&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Archivo&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Archivo+Black&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Poppins&display=swap");
* {
    box-sizing: border-box;
    scroll-behavior: smooth;
    margin: 0;
    padding: 0;
}
body {
    background-color: rgb(22 22 22);
}

.account {
    font-family: "Archivo ", sans-serif;
    font-weight: 400;
}
.productmain {
    padding-top: 5em;
    height: 90vh;
    width: 100%;
    background: url(./images/products/main.jpeg) no-repeat;
    background-color: black;
    background-position: center;
    background-size: cover;
}
.mainheading {
    text-align: center;
    color: white;
    font-family: "Archivo Black", Arial, sans-serif;
    font-weight: 400;
    overflow-wrap: break-word;
    font-size: 33px;
}
#products {
    background-color: rgb(0 0 0);
    width: 100%;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    /* justify-content: center; */
    padding-bottom: 5em;
}
.productcard {
    margin-top: 5em;
    width: 80%;
    border-radius: 2em !important;
    overflow: hidden;
    height: 80vh;
    position: relative;
    background-color: white;
}
.image {
    width: 100%;
    height: 55%;
}
.details {
    width: 100%;
    height: 45%;
    background-color: rgb(40 40 40);
    padding: 0.8rem;
    font-family: "Poppins", sans-serif;
    color: white;
}
.rating {
    font-size: 0.7rem;
    color: #fdcc0d;
    user-select: none;
}
.description {
    font-size: 0.9rem;
    color: #5f5f6b;
    margin-top: 2em;
    width: 100%;
    height: 20%;
    text-overflow: ellipsis;
}
.buttons {
    height: 30%;
    vertical-align: bottom;
    margin-top: 1em;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.price {
    font-weight: 700;
    margin-top: 1em;
    font-size: 1.1rem;
    width: 25%;
}
.bton {
    position: relative;
    margin-top: 1em;
    border: none;
    outline: none;
    background-color: #000;
    color: white;
    height: 1em;
    border-radius: 2em;
    font-size: 0.9rem;
    font-family: "Poppins", sans-serif;
    cursor: pointer;
}

.cart {
    width: 2.2em;
    height: 2.2em;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    border-radius: 50%;
    /* background-color: #fdcc0d; */
    background-color: #fff;
    color: #000;
}
.buynow {
    width: 50%;
    height: 2.5em;
    background-color: rgb(150 82 30);
}

.btn:hover {
    border-color: #fff;
}
.productsheading {
    font-family: "Archivo black", sans-serif;
    font-weight: 400;
    font-size: 28px;
    margin-top: 2em;
    line-height: 1.4;
    color: rgb(150 82 30);
}
.categoryname {
    line-height: 1.25;
    font-size: 28px;
    color: rgb(150 82 30);
    font-family: "Archivo Black", sans-serif;
}
.discriptionofcategory {
    line-height: 1.25;
    font-size: 20px;
    color: rgb(169, 169, 169);
}
/* footer */

.subscribe {
    width: 100%;
    min-height: 30vh;
}
.HeadingSubscribe {
    text-align: center;
    color: #e2e2e2;
    font-size: 42px;
    font-family: Archivo;
    font-weight: 400;
    text-transform: uppercase;
    line-height: 52.5px;
    word-wrap: break-word;
}
.Get10OffYourFirstPurchaseWhenYouSignUpForOurNewsletter {
    text-align: center;
    color: #919191;
    font-size: 18px;
    font-family: "Montserrat", sans-serif;
    font-weight: 400;
    line-height: 27px;
    word-wrap: break-word;
}
.copyright {
    width: 100%;
    height: 20vh;
    background-color: #161616;
}
.Copyright2024DressinAllRightsReserved {
    text-align: center;
    color: #a9a9a9;
    font-size: 16px;
    font-family: "Montserrat", sans-serif;
    font-weight: 400;
    line-height: 24px;
    word-wrap: break-word;
}
#subscribeemail {
    margin: auto;
    width: 80%;
}
/*  */


.productname{
    display: block;
    color: white;
    width: 100%;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}